Package com.io7m.idstore.protocol.admin.cb

# Class ProtocolIdAv1Serializer

java.lang.Object
com.io7m.idstore.protocol.admin.cb.ProtocolIdAv1Serializer

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdAv1Type>`, `com.io7m.cedarbridge.runtime.api.CBProtocolMessageVersionedSerializerType<ProtocolIdAv1Type>`

public final class ProtocolIdAv1Serializer extends Object implements com.io7m.cedarbridge.runtime.api.CBProtocolMessageVersionedSerializerType<ProtocolIdAv1Type>
Protocol `com.io7m.idstore.protocol.admin.cb.IdA`, version `1`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProtocolIdAv1Serializer()`
  Construct a serializer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProtocolIdAv1Type`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  `Class<ProtocolIdAv1Type>`
  `messageClass()`
  `void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, ProtocolIdAv1Type $x)`
  `BigInteger`
  `version()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProtocolIdAv1Serializer

    public ProtocolIdAv1Serializer()
    Construct a serializer.

- ## Method Details

  - ### version

    public BigInteger version()
    Specified by:
      `version` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageVersionedSerializerType<ProtocolIdAv1Type>`

  - ### messageClass

    public Class<ProtocolIdAv1Type> messageClass()
    Specified by:
      `messageClass` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdAv1Type>`

  - ### serialize

    public void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, ProtocolIdAv1Type $x) throws IOException
    Specified by:
      `serialize` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdAv1Type>`
    Throws:
      `IOException`

  - ### deserialize

    public ProtocolIdAv1Type deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Specified by:
      `deserialize` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdAv1Type>`
    Throws:
      `IOException`